#include <avr/io.h>
#include <stdint.h>

//incializace portu B pro LED a tlačítko:
void inicializace()
{
  DDRB = 1 << 5;  //PB5 je vystup
  PORTB = PORTB | (1 << 7);  //zapne pull-up PB7	
}

//řízení LED dle parametru stav:
void nastavLED(uint8_t stav)
{
  if(stav != 0)
  {
    PORTB = PORTB | (1 << 5);  //PB5 = 1
  }
  else
  {
    PORTB = PORTB & ~(1 << 5); //PB5 = 0
  }
}

//čtení stavu tlačítka:
uint8_t ctiSP()
{
  return !(PINB & (1 << 7));  
}

int main(void)
{
  inicializace();
	
  while (1)
  {
    if(ctiSP())  //test sepnuteho SP
	{
	  nastavLED(1);	  //rozsvit LED
	}
	else
	{
	  nastavLED(0);  //zhasni LED
	}
  }
}

